xine-lib: _DS_Filter Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
_DS_Filter Struct Reference

`#include <DS_Filter.h>`

## Data Fields
int | m_iHandle
IBaseFilter * | m_pFilter
IPin * | m_pInputPin
IPin * | m_pOutputPin
CBaseFilter * | m_pSrcFilter
CBaseFilter2 * | m_pParentFilter
IPin * | m_pOurInput
COutputPin * | m_pOurOutput
AM_MEDIA_TYPE * | m_pOurType
AM_MEDIA_TYPE * | m_pDestType
IMemAllocator * | m_pAll
IMemInputPin * | m_pImp
void(* | Start )(DS_Filter *)
void(* | Stop )(DS_Filter *)

## Field Documentation

## ◆ m_iHandle

int _DS_Filter::m_iHandle

Referenced by DS_Filter_Destroy(), and DS_FilterCreate().

## ◆ m_pAll

IMemAllocator* _DS_Filter::m_pAll

Referenced by DS_Filter_Start(), DS_Filter_Stop(), and DS_FilterCreate().

## ◆ m_pDestType

AM_MEDIA_TYPE * _DS_Filter::m_pDestType

Referenced by DS_FilterCreate().

## ◆ m_pFilter

IBaseFilter* _DS_Filter::m_pFilter

Referenced by DS_Filter_Destroy(), DS_Filter_Start(), DS_Filter_Stop(), and DS_FilterCreate().

## ◆ m_pImp

IMemInputPin* _DS_Filter::m_pImp

Referenced by DS_Filter_Destroy(), DS_Filter_Start(), and DS_FilterCreate().

## ◆ m_pInputPin

IPin* _DS_Filter::m_pInputPin

Referenced by DS_Filter_Destroy(), and DS_FilterCreate().

## ◆ m_pOurInput

IPin* _DS_Filter::m_pOurInput

Referenced by DS_Filter_Destroy(), and DS_FilterCreate().

## ◆ m_pOurOutput

COutputPin* _DS_Filter::m_pOurOutput

Referenced by DS_Filter_Destroy(), and DS_FilterCreate().

## ◆ m_pOurType

AM_MEDIA_TYPE* _DS_Filter::m_pOurType

Referenced by DS_FilterCreate().

## ◆ m_pOutputPin

IPin* _DS_Filter::m_pOutputPin

Referenced by DS_Filter_Destroy(), and DS_FilterCreate().

## ◆ m_pParentFilter

CBaseFilter2* _DS_Filter::m_pParentFilter

Referenced by DS_Filter_Destroy(), and DS_FilterCreate().

## ◆ m_pSrcFilter

CBaseFilter* _DS_Filter::m_pSrcFilter

Referenced by DS_Filter_Destroy(), and DS_FilterCreate().

## ◆ Start

void(* _DS_Filter::Start) (DS_Filter *)

Referenced by DS_FilterCreate().

## ◆ Stop

void(* _DS_Filter::Stop) (DS_Filter *)

Referenced by DS_Filter_Destroy(), and DS_FilterCreate().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/libw32dll/DirectShow/DS_Filter.h